{% extends 'base.html' %}
{% block meta %}
<style>
    body{
      background-color: #CAB7A1;
      font-family: 'Sora', sans-serif;
    }
  
    #box{
      position:absolute;
      left:0;
      width:100%;
      top:15%;
      height:auto;
      z-index:600;
      display:none;
      padding-bottom:5%;
    }
  
    #header{
      z-index:500;position:absolute;width:100%; text-align : center; letter-spacing:2px; color:#811112; top:20%;
      transition:0.8s;
      background-size:150px;
    }
  
    .homeimg{
      position:fixed;
      left:0px;
      z-index: 500;
      width:100%;
      opacity:50%;
      background-image:url('https://hibbettblog.com/wp-content/uploads/2020/01/Weights-on-rack-at-gym.jpg');
      height:100%;
      background-size:100%;
    }

    .card{
      width:25vw;
      border:1px solid #811112;
      border-radius:5%;
      background-color: white;
      margin-bottom:10px;
    }

    .showvid{
      background-color: #B29576;
      border:none;
      font-size:1vw;
      padding:1vw;
      color : #811112;
      border:1px solid #811112;
      letter-spacing: 0.2vw;
      transition:0.8s;
    }

    .showvid:hover{
      background-color:#811112;
      transition: 0.8s;
    }
    
  
  
  </style>
      <title>D06 | Workout</title>
      {% endblock meta %}
      {% block content %}
  
      <div class="homeimg"></div>
  
      <div id="header">
        <img src="https://live.staticflickr.com/65535/51636936356_a978d0747b_o.png" width="400" height="auto" alt="biggerfasterstronger"><br>
        <div style="width:20px;height:20px;border-radius:100%;background-color:#881D1D; display:inline-block;margin:5px;opacity:80%;"> </div>
        <div style="width:20px;height:20px;border-radius:100%;background-color:#B83232; display:inline-block;margin:5px;opacity:80%;"> </div>
        <div style="width:20px;height:20px;border-radius:100%;background-color:#AC3834; display:inline-block;margin:5px;opacity:80%;"> </div>
        <br><button class="showvid" onclick="showVids()"><strong>let's get fit together!</strong></button>
      </div>
      <div id="box">
        <div class="container">
        <div class="row align-items-center">
          {% for vid in vids %}
        <div class="col">
        <div class="card">
          <br>
          <iframe width="100%" src="{{vid.vidUrl}}" frameborder="0" gesture="media" allow="encrypted-media" allowfullscreen>
          </iframe>
          <div class="card-footer">
              <a><div style="font-family:'Sora'; text-shadow: 2px 2px 4px lightgrey;color:#B29576;font-size:2vw;"><strong>{{vid.vidTitle}}</strong></div></a>
                <div style="font-size:12px; color:#B29576"><strong>Added on</strong></div>
                <div style="font-size:11px; color:#484848">{{vid.vidAdded}}</div>
              <br>
            {{vid.vidFile}}
            </div>
      </div>
      </div>
      {% endfor %}
        </div>
      </div>
      </div>
      </div>
    </div>

    <script>
      function showVids(){
        let box = document.getElementById("box");
        let header = document.getElementById("header");
        box.style.display = "block";
        header.style.display = "none";
      }
    </script>
      {% endblock content %}